;;; -*- Mode:LISP; Package:LAMBDA; Readtable:ZL; Base:10; Patch-File:T -*-


(defun exp-serial-setup ()
  (cond ((null *stream*)
	 (setq *stream* (open "SDU-SERIAL-B:"))))
  (send *stream* :reset)
  (send *stream* :set-baud-rate spi-baud-rate)
  (send *stream* :tyo #o15)
  (process-sleep 30.)
  (do ()
      ((null (send *stream* :tyi-no-hang)))
    (do ()
	((null (send *stream* :tyi-no-hang))))
    (process-sleep 30.))
  (print-spi-status-data (spi-read-spi-status))
  )


